@import "../shared/scss/color.scss";

.body {
  width: 100%;
  margin-top: 77px;
  background-color: $background-color;
  padding: 17px 15px 170px 15px;
  position: relative;
  height: 100%;
  object-fit: contain;
  //   right section
  .width {
    width: 85%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    .right {
      width: 20%;
      .profile {
        background-color: white;
        margin-bottom: 10px;
        .cover {
          width: 100%;
          height: 100px;
          img {
            width: 100%;
            height: 100px;
            object-fit: cover;
          }
        }
        .content {
          position: relative;
          .user {
            width: 100%;
            position: relative;
            .img {
              width: 90px;
              height: 90px;
              position: absolute;
              top: -40px;
              right: 10px;
              border-radius: 7px;
              img {
                width: 100%;
                border-radius: 7px;
                height: 100%;
                object-fit: cover;
              }
            }
          }
          .detail {
            padding: 58px 10px 10px 10px;
            width: 100%;
            position: relative;
            div {
              width: 100%;
              margin-bottom: 5px;
              &:last-child {
                margin-bottom: 0;
              }
              p {
                span {
                  font-size: 12px;
                  font-weight: bold;
                  color: $description-color;
                  &:first-child {
                    padding-left: 7px;
                    color: #666666;
                  }
                }
              }
            }
          }
        }
      }
      .union-followed,
      .professor-followed,
      .startup-followed {
        transition: 0.3s all ease-in-out;
        padding: 10px;
        background-color: white;
        margin-bottom: 10px;
        .title {
          padding: 0 0 10px 7px;
          p {
            font-size: 14px;
            font-weight: bold;
            color: $black-color;
          }
        }
        .item {
          font-weight: bold;
          font-size: 12px;
          padding: 4px 0;
          a {
            color: $description-color;
            text-decoration: none;
            fa-icon {
              transition: 0.3s all ease-in-out;
              padding-left: 6px;
            }
            &:hover {
              fa-icon {
                padding-left: 15px;
              }
            }
          }
        }
        .more {
          padding: 7px 7px 0 7px;
          text-align: left;
          a {
            text-decoration: none;
            color: $aqua-color;
            cursor: pointer;
            font-size: 12px;
            font-weight: bold;
          }
        }
      }
    }
    //   center section
    .center {
      width: 57%;
      height: 200px;
      .tabs {
        display: flex;
        justify-content: space-between;
        .tab {
          width: 23%;
          background-color: white;
          padding: 10px;
          border-radius: 5px;
          text-align: center;
          font-size: 13px;
          font-weight: bold;
          color: #333333;
          cursor: pointer;
          transition: 0.2s all ease-in-out;
        }
      }
      .main {
        position: relative;
        .article {
          margin: 15px 0;
        }
      }
    }
    //   left section
    .left {
      width: 20%;
      .union-offer,
      .startup-offer,
      .professor-offer {
        padding: 10px;
        background-color: white;
        margin-bottom: 10px;
        .title {
          padding: 0 0 10px 7px;
          p {
            font-size: 14px;
            font-weight: bold;
            color: $black-color;
          }
        }
        .item {
          font-weight: bold;
          font-size: 12px;
          padding: 7px 0;
          display: flex;
          justify-content: space-between;
          .name {
            width: 60%;
            a {
              color: $description-color;
              text-decoration: none;
              fa-icon {
                transition: 0.3s all ease-in-out;
                padding-left: 6px;
              }
            }
          }
          .follow-btn {
            width: 40%;
            transition: 0.3s all ease-in-out;
            a {
              cursor: pointer;
              transition: 0.3s all ease-in-out;
              width: 100%;
              display: block;
              text-align: center;
              border-radius: 7px;
              text-decoration: none;
              color: white;
              background-color: $aqua-color;
              font-size: 10px;
              font-weight: bold;
              padding: 4px 6px;
              border: 1px solid $aqua-color;
              fa-icon {
                padding-left: 4px;
              }
            }
          }
        }
        .more {
          padding: 7px 7px 0 7px;
          text-align: left;
          a {
            text-decoration: none;
            color: $aqua-color;
            cursor: pointer;
            font-size: 12px;
            font-weight: bold;
          }
        }
      }
      .event-progressive {
        padding: 10px;
        background-color: white;
        margin-bottom: 10px;
        .title {
          padding: 0 0 15px 7px;
          p {
            font-size: 14px;
            font-weight: bold;
            color: $black-color;
          }
        }
        .item {
          padding-bottom: 10px;
          &:last-child {
            padding-bottom: 0;
          }
          a {
            cursor: pointer;
            text-decoration: none;
            .img {
              width: 100%;
              height: 100px;
              position: relative;
              img {
                width: 100%;
                height: 100px;
                object-fit: cover;
                position: relative;
              }
              .cover {
                width: 100%;
                height: 100%;
                background-color: rgba($color: #000000, $alpha: 0.4);
                position: absolute;
                top: 0;
                right: 0;
                padding: 7px;
                p {
                  font-size: 12px;
                  font-weight: bold;
                  color: white;
                }
              }
            }
          }
        }
      }
      .article-most-visited {
        padding: 10px;
        background-color: white;
        margin-bottom: 10px;
        .title {
          padding: 0 0 15px 7px;
          p {
            font-size: 14px;
            font-weight: bold;
            color: $black-color;
          }
        }
        .item {
          width: 100%;
          margin-bottom: 10px;
          min-height: 71px;
          height: 100%;
          overflow: auto;
          border-bottom: 1px solid #cccccc;
          padding-bottom: 10px;
          &:last-child {
            margin-bottom: 0;
            border-bottom: none;
          }
          .img {
            width: 30%;
            height: 60px;
            display: inline-block;
            float: right;
            img {
              width: 100%;
              height: 100%;
              object-fit: cover;
            }
          }
          .detail {
            float: left;
            width: 70%;
            display: inline-block;
            padding: 0 7px 0 0;
            min-height: 60px;

            p {
              display: block;
              padding: 0;
              margin: 0;
              font-size: 10px;
              font-weight: bold;
            }
            .title {
              color: #666666;
            }
            .date {
              color: $description-color;
            }
            .link {
              text-align: right;
              padding-top: 4px;
              a {
                color: $aqua-color;
                text-decoration: none;
              }
            }
          }
        }
      }
    }
  }
}

.active {
  color: white !important;
  background-color: #666666 !important;
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 99999999;
  transition: 0.5s all;
}

.list-loader {
  width: 100%;
  min-height: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: $background-color;
  z-index: 999;
  transition: 0.5s all;
}

.unFollow-btn {
  width: 40%;
  a {
    width: 100%;
    display: block;
    text-align: center;
    border-radius: 7px;
    text-decoration: none;
    color: $aqua-color !important;
    background-color: inherit !important;
    font-size: 10px;
    font-weight: bold;
    padding: 4px 6px;
    border: 1px solid $aqua-color;
    fa-icon {
      padding-left: 4px;
    }
  }
}

.not-found {
  background-color: rgba($color: black, $alpha: 0.05);
  position: relative;
  text-align: center;
  width: 100%;
  margin: 0 auto;
  padding: 20px;
  border-radius: 10px;
  z-index: 1;
  margin-top: 40px !important;
  img {
    width: 100px;
    height: 100px;
    display: block;
    margin: 0 auto;
  }
  p {
    width: 100%;
    display: block;
    color: #999999;
  }
}
